svrctl(2)

NAME
svrctl - special server control functions

SYNOPSIS
#include <sys/svrctl.h>
int svrctl(u32_t request, void *data);

DESCRIPTION
Svrctl implements some very MINIX 3 specific system calls that don't deserve their own system call number.

This system call makes it easy to add new ways of setting and getting system parameters, but at the same time, backwards compatibility is not guaranteed. Read the <sys/svrctl.h> include file to see what the structures mentioned below look like. Most calls are root-only, unless specified otherwise.

The only way to know how to properly use these calls is to study the associated server code, or the programs that already use these calls.

Current requests are:

MMGETPARAM
    Request the value of one or all boot parameters. Can be used by non-root.

MMSETPARAM
    Set an override for a value of a boot parameter. Can be used by non-root.

RETURN VALUES
Svrctl returns 0 upon success and -1 upon failure.

AUTHOR
Philip Homburg <philip@cs.vu.nl>